/*
 * @Author: ysh
 * @Date: 2025-01-16 11:17:07
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-05-28 10:20:17
 */
import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
import uView from './uni_modules/uview-ui'

Vue.use(plugins)
Vue.use(uView)

Vue.config.productionTip = false
Vue.prototype.$store = store
// 创建全局的 publicData 对象
Vue.prototype.publicData = {
  partySecretary: 4, // 党委书记
  leagueSecretary: 15, // 团支部书记
  gm: 7, //总经理
  chairman: 2,//董事长
  zg: 9,
}


App.mpType = 'app'

const app = new Vue({
  ...App
})
app.$mount()
